%%  Returns data and log file names used by various programs
%%  The paths in file names are relative to the current (code) directory 

%% Parameters:
%%      ffid - FFID number 
%%	dataset - optional string parameter. If dataset='raw', raw field 
%%		directory 'mat/' is used. If dataset='edited' or any other,
%%		edited data directory 'data/' is used.
%%		If this parameter is not given, 'edited' is assumed.

%% Returns:
%%      logf - name of log file
%%      dataf - name of .mat data file 

function [ logf, dataf ] = file_names( ffid, dataset )

global procdata

  logf = sprintf('log_line%02d.txt',procdata.line);	% log file name for required line

  dataf = filename_ffid( ffid, dataset );

end

