%% Returns the name of FFID  .mat file in directory mat/ or  data/
%%
%% Parameters:
%%      ffid - FFID number 
%%	dataset - optional string parameter. If dataset='raw', raw field 
%%		directory 'mat/' is used. If dataset='edited' or any other,
%%		edited data directory 'data/' is used.
%%		If this parameter is not given, 'edited' is assumed.

%% ==================================================================

function fn = filename_ffid( ffid, dataset )

  if nargin >= 2
	if strcmpi(dataset,'raw')
  		fn = sprintf('mat/f%05d.mat',ffid);
		return
	end
  end

  fn = sprintf('data/f%05d.mat',ffid);	% edited data by default

end

