%% In 'lst', returns column containing a sorted list of all ffids 
%% present in directory 'mat/' of current project. The files
%% are recognized by extension '.mat'
%% ==============================================================================
%% Parameters:
%%	directory - name of directory in which to look for files
%%
%% Returns:
%%	list - sorted list of all ffids in the directory
%% 	last - the largest FFID value or 0 if the list is empty
%%
%% Usage examples:
%%	ffid_list = list_ffids("mat/")

function [ lst, last ] = list_ffids(directory)

  lf = list_files( directory, ".mat" );

  if isempty(lf)
	lst = [];
  else
  	lst = sort(str2num(lf(:,2:end)));	% column of ffid numbers present
  end
	
  if isempty(lst)
	last = 0;
  else
	last = lst(end);
  end

end

