%% Returns a lst of file-name prefixes (without path and extensions) 
%% in directory 'directory' with extensions 'ext'
%% (note that the leading dot is included in 'ext', for example: ".bin")

function [ lst ] = list_files( directory, ext=".bin" )
   
  lst=[];
  
  warning("off");
  files = dir(directory);  
  warning("on");
 
  if size(files,1) > 0
    
    for i=1:size(files,1)
    
      [ tok rem ] = strtok(files(i).name,".");

      tok = strtrim(tok);

      if length(tok) == 0 || strcmp(rem,ext) == 0
        continue
      end
           
%sprintf("|%s| %d",tok,length(tok))

     if size(lst,1)==0    % first
       lst = tok;
     else
       lst = [ lst; tok ];
     end
     
    end
    
  end

end

