%% Scans midpoints within the seismic line and produces dispersion measurements 
%% for each of them.
%% =====================================================================
%% For each midpoint, shot records with intervals of surface-wave coverage
%% are identified. Phase dispersion spectra are calculated and stacked with 
%% Hann-function weights
%%
%% Usage examples:
%%	measure_dispersion_cmp()

function measure_dispersion_cmp()

global procdata
;
  n = 0;

  % go through locations and produce phase semblance spectra

  for i=procdata.cmp_chan
	
	dispsemb = semblance_vphase(rec, spec, procdata, offset_range);

	if n == 0		% first instance; initialize output array
		semblance = zeros(dispsemb.semblance,1,dispsemb.semblance,2,length(procdata.cmp_chan));
	end

	semblance(:,:,i) = dispsemb.semblance;
	n = n+1;			% number of points done
  end

end

