% Extracts parameter header from one line of log file
%
% Parameters:
%	s - string of commentary from log file (after stripping the '#')
% Returns:
%	ind - index of the field:
%		0 - this field is unknown;
%		1 - this field is Line
%		2 - this field is BaseSTN
%		3 - this field is BaseX
%		4 - this field is Spacing
%	parstr - string value of the field if par > 0

function [ ind, parstr ] = params_header(s)

	parstr = "";

	[ tok, s ] = strtok(s);			% second token

	if strcmpi(tok,'line')
		ind = 1;
	elseif strcmpi(tok,'basestn')
		ind = 2;
	elseif strcmpi(tok,'basex')
		ind = 3;
	elseif strcmpi(tok,'spacing')
		ind = 4;
	else
		ind = 0;
	end

	if ind > 0
		[ tok, s ] = strtok(s);		% line with line number 

		if strfind(tok,':') || strfind(tok,'=')	% skip ':' or '='
			[ parstr, s ] = strtok(s);			
		end
	end
end

