%% Plots only semblance image in one plot, without title
%% =====================================================================
%% Parameters:
%%	dispsemb - structure containing dispersion semplance and picks

function plot_semblance1(dispsemb)

global procdata

  hold on

  imagesc(dispsemb.f,dispsemb.slwns,transpose(dispsemb.semblance))
  colorbar

  plot(dispsemb.f,dispsemb.p_alias,'m-')	% magenta curve showing aliasing range
  plot(dispsemb.f,dispsemb.p_separ,'m-')	% magenta curve showing separator between modes

  if ~isempty(dispsemb.semb_peak)
  	plot(dispsemb.semb_peak(:,1),dispsemb.semb_peak(:,2),'kx')
  end

  if ~isempty(dispsemb.semb_peak1)
  	plot(dispsemb.semb_peak1(:,1),dispsemb.semb_peak1(:,2),'k+')
  end

  set(gca,'YTick',0:2.0:max(dispsemb.slwns));

  if ~isempty(procdata.plot_freq_range)
  	xlim(procdata.plot_freq_range)
  end

  if isempty(procdata.plot_slwns_range)
  	ylim([0, max(dispsemb.slwns)])
  else
  	ylim(procdata.plot_slwns_range)
  end

  xlabel('Frequency (kHz)')
  ylabel('Phase slowness (ms/m)')
  grid on

end

