%% Plots current model in current figure
%% ==============================================

function plot_model()

global model

  hold on

  [zp,vp] = plot_layers(model.z,model.vp);
  [zs,vs] = plot_layers(model.z,model.vs);

	% draw yellow lines separating layers

  sep = [ min(model.vs)*0.9, max(model.vp)*1.05 ];	% horizontal extent of model

  plot(sep,[ model.z0, model.z0 ],'y-');

  for i=1:model.nlayers
	plot(sep,[ model.z(i,1), model.z(i,1) ],'y-');
  end

  h = plot(vp,zp,'b-',vs,zs,'r-');

  set(gca,'YDir','reverse')
  L = legend(h,{"Vp","Vs"},'location','southwest');	% legend only for the last plot command

  xlabel("Vp, Vs (km/s)")
  ylabel("z (m)")

end

